using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using TMPro;
using UnityEngine.UI;
using System;
using UnityEngine.Events;

public class ChoiceButton : MonoBehaviour
{
    public TextMeshProUGUI buttonText;
    public Button button;
    public int index;

    public void SetText(string text) {
        buttonText.text = text;
    }

    public void SetButtonEvent(UnityAction buttonEvent) {
        button.onClick.AddListener(buttonEvent);
    }
}
